<?php

require( "../inc/conf.inc.php" );
require( "../inc/check.php" );
$login = autorize();
print '<card title="Статусы">'.
'<p align="center">';

$query_users = @mysql_query("select * from `users` where id='$id';");
@mysql_query("update `users` set ltime='".time()."',  where id='".$id."';");
$data = @mysql_fetch_array($query_users);
$baks= $data['baks'];
$komu= $data['login'];

if($login) {
if(!$login['ip']) { @mysql_query("update `".$px.$utable."` set `ip`='".getenv(REMOTE_ADDR)."' where `id`='".$id."';"); }
if(!$login['soft']) { @mysql_query("update `".$px.$utable."` set `soft`='".getenv(HTTP_USER_AGENT)."' where `id`='".$id."';"); }

$baksm= $baks-$cenam;
$baksk= $baks-$cenak;
$bakssm= $baks-$cenasm;
echo "<title>{$cname}</title>";
echo "<link rel=\"shortcut icon\" href=\"http://sim-sim.h2m.ru/logo/icon.php\">";
echo "<style type=\"text/css\">";
echo "body { font-size: {$fs}; color: {$tcol}; background-color: {$bcol}; text-align: center }";
echo "a:link,a:visited { text-decoration: none; color: {$lcol} }";
echo "div { border-style:solid; border-width: 1px; background-color: {$rcol} }";
echo "</style>";
echo "</head>";
echo "<body>";
echo "<div>Супермаркет</div>";

print  "У Вас  <b>".$data['baks']."</b> тугриков<br/>";
print  "Если у Вас есть желание быть стражем чата и достаточное количество тугриков,то здесь Вы можете купить себе статус!<br/>";

switch($modstatus) {

case 'kupmoder':

if ($baks > $cenam)
{
@mysql_query("update `".$px.$utable."`  set baks='$baksm',`level`=4  where `login`='$komu'");

$time = time( );
$msg = "<b><u>{$komu}</u></b> Купил в магазине статус вип.";
mysql_query( "Insert into mess set login='[Продавец]', msg='".$msg."', id_from='".$id."', id_to='0', wtime='".$time."',room='all'" );
print "<b>$komu</b> <u>Вип Отныне ты можеш пнуть засранца в чате и давать обьявления в чат!</u>!";
}
else
{
print "Не достаточно тугриков!!";
}

break;

case 'kupkiller':
if ($baks > $cenam)
{
if(@mysql_query("update `".$px.$utable."`  set baks='$baksk',`level`=5 where `login`='$komu'")) {

$time = time( );
$msg = "<b><u>{$komu}</u></b> Купил в магазине статус модера.";
mysql_query( "Insert into mess set login='[Продавец]', msg='".$msg."', id_from='".$id."', id_to='0', wtime='".$time."',room='all'" );

print "<b>$komu</b> <u>Вы купили должность Модера! Вам открылась возможность Пнуть засранца,Дать обьявление в чат,Очистить комнаты,Добавить фото юзерам.Надеюсь Вы купили должность строго для хароших намерений и для развития и процветания нашего Городка!</u>!";
}
}
else
{
print "Не достаточно тугриков!!";
}
break;


case 'kuptopmoder':
if ($baks > $cenam)
{
if(@mysql_query("update `".$px.$utable."`  set baks='$bakssm',`level`=6 where `login`='$komu'")) {


$time = time( );
$msg = "<b><u>{$komu}</u></b> Купил в магазине статус Старший модер.";
mysql_query( "Insert into mess set login='[Продавец]', msg='".$msg."', id_from='".$id."', id_to='0', wtime='".$time."',room='all'" );
print "<b>$komu</b> <u>Поздравляю! Отныне вы Старший модер! И вам открылись фаактически фсе функцыи админов.Надеюсь вы купили эту должность исключительно для хороших намерений и для процветания нашего Городка!</u>!";  }

}
else
{
print "Не достаточно тугриков!!";
}
break;
case 'kupadmin':
if ($baks > $cenaadmin)
{
if(@mysql_query("update `".$px.$utable."`  set baks='$bakssm',`level`=7 where `login`='$komu'")) {


$time = time( );
$msg = "<b><u>{$komu}</u></b> Купил в магазине статус Админ.";
mysql_query( "Insert into mess set login='[Продавец]', msg='".$msg."', id_from='".$id."', id_to='0', wtime='".$time."',room='all'" );

print "<b>$komu</b> <u>Поздравляю! Отныне вы Администратор! И вам открылись фсе функцыи админов.Надеюсь вы купили эту должность исключительно для хороших намерений и для процветания нашего Городка!</u>!";  }

}
else
{
print "Не достаточно тугриков!!";
}
break;

default:
print "<a href=\"./status.php?id=$id&amp;pass=$pass&amp;modstatus=kupmoder\">Модер</a>=$cenam тугриков<br/>";
print "<a href=\"./status.php?id=$id&amp;pass=$pass&amp;modstatus=kupkiller\">Киллер</a>=$cenak тугриков<br/>";
print "<a href=\"./status.php?id=$id&amp;pass=$pass&amp;modstatus=kuptopmoder\">Ст.модер</a>=$cenasm тугриков<br/>";
print "<a href=\"./status.php?id=$id&amp;pass=$pass&amp;modstatus=kupadmin\">Администратор</a>=$cenaadmin тугриков<br/>";
break;

}

}
print "<br/><div><a href=\"../enter.php?id=$id&amp;pass=$pass&amp;\">ПрЯхОшКа</a></div><br/>";


$end = gettime( );
echo "[".round( $end - $mystart, 5 )."]";echo "<div class=\"ab\"><b>&copy; KOT <a href=\"http://waufon.ru\">waufon.ru</a></b></div>";
echo "</body></html>";
mysql_close( $link );
echo "\r\n";
?>